Error in EON MPI installation

eOn code for long time scale dynamics

Moderator: moderators

Post Reply
sanjay14kr
Posts: 7
Joined: Tue Mar 15, 2022 7:12 pm

Error in EON MPI installation

Post by sanjay14kr »

Hello,
I am trying to build EON with MPI using make EONMPI =1 command. However I get the following error (image is attached). Can someone help in solving this error and building EON with mpi.
Regards,
Sanjay
Attachments
EOn-MPI-error.png
EOn-MPI-error.png (324.33 KiB) Viewed 1734 times
graeme
Site Admin
Posts: 2139
Joined: Tue Apr 26, 2005 4:25 am
Contact:

Re: Error in EON MPI installation

Post by graeme »

try adding -lpython3.x to the linker line, where x is you python version number. You may also have to add a -L/path/to/your/python/lib command so that it can find the python library.
Post Reply